%
% Newton-Verfahren zur numerischen Loesung eines nichtlinearen
% Gleichungssystem (zur Serie 11, Aufgabe 1)
%
% Vorlesung "Einfuerung in die Numerik", Uni Basel, FS 11
%

function [x,iter] = NewtonIter_System(f1,f2,f3,x0,max_iter,tol)

h = 1e-8; % Schrittweite zum Differenzenquotienten

x = reshape(x0,3,1); % Startwert

iter = ... ; % Anzahl der Iterationen

% Funktion f = (f_1,f_2,f_3)^T
f = @(x) [f1(x(1),x(2),x(3)); ... ; ... ]; 

while norm(f(x)) >= tol && iter < max_iter
    % Jacobi-Matrix
    Df(1, 1) = ... ;
    Df(1, 2) = ... ;
    Df(1, 3) = ... ;
    Df(2, 1) = ... ;
    Df(2, 2) = ... ;
    Df(2, 3) = ... ;
    Df(3, 1) = ... ;
    Df(3, 2) = ... ;
    Df(3, 3) = ... ;
    
    % die Loesung
    x = ... ; 
    
    iter = iter + 1;
end
