%
% Test zum Euler-Verfahren zur Loesung eines Systems gewoehnlicher 
% Differentialgleichungen (zur Serie 11, Aufgabe 3)
%
% Vorlesung "Einfuerung in die Numerik", Uni Basel, FS 11
%

y0 = ... ;
x_0 = ... ;
x_max = ... ;

% Test mit lambda = 0
lambda = ... ;
f1 = @(x,y1,y2) ... ;
f2 = @(x,y1,y2) ... ;

loesung_y1 = @(x) ... ;
loesung_y2 = @(x) ... ;

% Grosse Schrittweite
h = ... ;
[x, y1, y2] = Euler_System(... , ... , ... , ... , ... , ... );

figure(1)
subplot(2, 2, 1)
plot(... , ... , ... , ...)
title('h = 0.025');
legend('numerisch', 'exakt')
xlabel('x')
ylabel('y_1(x) = y(x)')
axis([0 10 -1.1 1.1])

subplot(2, 2, 3)
plot(... , ... , ... , ...)
title('h = 0.025');
legend('numerisch', 'exakt')
xlabel('x')
ylabel('y_2(x) =y''(x)')
axis([0 10 -1.1 1.1])

% Kleine Schrittweite
h = ... ;
[x, y1, y2] = Euler_System(... , ... , ... , ... , ... , ... );

subplot(2, 2, 2)
plot(... , ... , ... , ...)
title('h = 0.0025');
legend('numerisch', 'exakt')
xlabel('x')
ylabel('y_1(x) = y(x)')
axis([0 10 -1.1 1.1])

subplot(2, 2, 4)
plot(... , ... , ... , ...)
title('h = 0.0025');
legend('numerisch', 'exakt')
xlabel('x')
ylabel('y_2(x) =y''(x)')
axis([0 10 -1.1 1.1])

% Test mit lambda = 1
lambda = 1;
f1 = @(x,y1,y2) ...;
f2 = @(x,y1,y2) ...;

[x, y1, y2] = Euler_System(... , ... , ... , ... , ... , ... );

figure(2)
subplot(1, 2, 1)
plot( ... , ...)
title('y_1(x) = y(x)');
xlabel('x'); ylabel('y_1(x)')
axis([0 10 -1.1 1.1])

subplot(1, 2, 2)
plot( ... , ... )
title('y_2(x) = y''(x)');
xlabel('x'); ylabel('y_2(x)')
axis([0 10 -1.1 1.1])
